Subject: Re: linux-next: security-testing/net tree build failure

From: David Miller <[email-masked]>
Date: Sun, 13 Sep 2009 21:46:44 -0700 (PDT)

From: Stephen Rothwell <[email-masked]>
Date: Mon, 14 Sep 2009 13:01:54 +1000

> On Thu, 3 Sep 2009 16:14:32 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> Today's linux-next build (powerpc ppc64_defconfig) failed like this (this
>> was reverting to the security-testing tree in next-20090902):
>> 
>> drivers/net/tun.c: In function 'tun_set_iff':
>> drivers/net/tun.c:937: error: 'struct tun_struct' has no member named 'sk'
>> 
>> Caused by commit 2b980dbd77d229eb60588802162c9659726b11f4 ("lsm: Add
>> hooks to the TUN driver") interacting with commit
>> 89f56d1e91cfa535ccc6cc60e9e12e02682fd972 ("tun: reuse struct sock
>> fields") from the net tree.
>> 
>> I applied the following merge fix patch (which I can carry as necessary):
> 
> This patch now needs to be applied to the net tree (as the
> security-testing tree has been merged by Linus).  I have applied it as a
> merge fix for today.

Ok, since I already sent a merge request to Linus I'll submit this
as soon as he does that pull.

I don't like "slipping" in things to a tree I've already asked
him to pull from, and in this case especially since I'd have
to merge his tree in to keep net-next-2.6 itself building.
:-)